GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
connectivity_state.c File Reference
`#include "src/core/transport/connectivity_state.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/string_util.h>`

## Functions
const char * | grpc_connectivity_state_name (grpc_connectivity_state state)
void | grpc_connectivity_state_init (grpc_connectivity_state_tracker *tracker, grpc_connectivity_state init_state, const char *name)
void | grpc_connectivity_state_destroy (grpc_connectivity_state_tracker *tracker)
grpc_connectivity_state | grpc_connectivity_state_check (grpc_connectivity_state_tracker *tracker)
int | grpc_connectivity_state_notify_on_state_change (grpc_connectivity_state_tracker *tracker, grpc_connectivity_state *current, grpc_iomgr_closure *notify)
| Return 1 if the channel should start connecting, 0 otherwise. More...
void | grpc_connectivity_state_set_with_scheduler (grpc_connectivity_state_tracker *tracker, grpc_connectivity_state state, void(*scheduler)(void *arg, grpc_iomgr_closure *closure), void *arg, const char *reason)
void | grpc_connectivity_state_set (grpc_connectivity_state_tracker *tracker, grpc_connectivity_state state, const char *reason)

## Variables
int | grpc_connectivity_state_trace = 0

## Function Documentation

grpc_connectivity_state grpc_connectivity_state_check | ( | grpc_connectivity_state_tracker * | tracker | ) |

void grpc_connectivity_state_destroy | ( | grpc_connectivity_state_tracker * | tracker | ) |

void grpc_connectivity_state_init | ( | grpc_connectivity_state_tracker * | tracker,
|  | grpc_connectivity_state | init_state,
|  | const char * | name
| ) |  |

const char* grpc_connectivity_state_name | ( | grpc_connectivity_state | state | ) |

int grpc_connectivity_state_notify_on_state_change | ( | grpc_connectivity_state_tracker * | tracker,
|  | grpc_connectivity_state * | current,
|  | grpc_iomgr_closure * | notify
| ) |  |

Return 1 if the channel should start connecting, 0 otherwise.

void grpc_connectivity_state_set | ( | grpc_connectivity_state_tracker * | tracker,
|  | grpc_connectivity_state | state,
|  | const char * | reason
| ) |  |

void grpc_connectivity_state_set_with_scheduler | ( | grpc_connectivity_state_tracker * | tracker,
|  | grpc_connectivity_state | state,
|  | void(*)(void *arg, grpc_iomgr_closure *closure) | scheduler,
|  | void * | arg,
|  | const char * | reason
| ) |  |

## Variable Documentation

int grpc_connectivity_state_trace = 0